import request from '@/utils/request'
import { BASE } from './apiGateway'

let nlpgApi = {
    healthRecordList(data) {
        return request({
          url: `${BASE}/doctor/health_index/list`,
          method: 'POST',
          data
        })
    },

    healthRecordLast(params) {
      return request({
        url: `${BASE}/doctor/health_index/last`,
        method: 'GET',
        params
      })
    },

    healthRecordChart(data) {
      return request({
        url: `${BASE}/doctor/health_index/chart`,
        method: 'POST',
        data
      })
    },

    addPatientHealthIndex(data) {
      return request({
        url: `${BASE}/patient/health_index/addPatientHealthIndex`,
        method: 'POST',
        data
      })
    },

    patientDeviceList(params) {
      return request({
        url: `${BASE}/patient/device/PatientDeviceList`,
        method: 'GET',
        params
      })
    },

}

export default nlpgApi